% feature_types.pl
% type definitions for lexicons
% project: IBL
% Sven Hartrumpf (C) 1994

% Definitions of enumeration types

type ause_type   = { attr, pred }.
type case_type   = { nom, gen, dat, acc }.
type dtype_type  = { 1, 2, 3 }.
type gend_type   = { masc, fem, neut }.
type mod_type    = { ind, conj1, conj2 }.
type num_type    = { sg, pl }.
type pers_type   = { 1, 2, 3 }.
type subcat_type = { 1, 2, 3, 4, 5, 6, 7, 8 }.
type temp_type   = { pres, praet }.
type vform_type  = { bse, fin, inf, psp }.

% standard types
% type boolean_type = { +, - }.
% type general_type = { all Prolog terms }.
% type string_type  = { all strings }.
